<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2022-05-25 15:44:20
////////////////////


/**
 * Static Model item_base 道具通用字段表
 */
class sm_item_base
{

    /**
    * @var Int32 查询用的ID  
    */
    public $typeId;

    /**
    * @var String 物品名称 default(物品名称) 
    */
    public $name;

    /**
    * @var String 物品icon名  
    */
    public $icon;

    /**
    * @var String 物品大图片名  
    */
    public $img;

    /**
    * @var String 物品模型资源  
    */
    public $res;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $pfbRes;

    /**
    * @var String 物品描述 default(物品描述) 
    */
    public $itemDesc;

    /**
    * @var Int32 物品大归类 0 系统 1武器，2碎片，3材料, 4 言灵, 5 礼包 default(0) 
    */
    public $itemType;

    /**
    * @var Int32 物品大归类 0 系统 1武器，2碎片，3材料, 4 言灵
    *  物品小分类，
    *  详细区分每类物品的作用: 
    *      Gold = 1, // 金币
    *      Gem = 2,  // 钻石
    *      Weapon = 101,             // 武器
    *      Segment = 201,            // 英雄碎片
    *      YanlingBookSegement =202, // 言灵书碎片
    *      BuffCard = 301,           // 消耗品 
    *   经验卡
    *      Package = 302,            // 消耗品 
    *   礼包
    *      Pill = 303,               // 药品（体力）
    *      Gene = 311,               // 基础材料 
    *   基因(角色经验丹)
    *      StrengthStone = 312,      // 基础材料 
    *   强化石(用于武器、言灵强化)
    *      AdvancedStone = 321,      // 进阶材料 
    *   进阶石(用于武器、言灵升阶）
    *      AdvancedFineStone = 322,  // 进阶材料 
    *   进阶 精华石(用于武器、言灵的升阶）
    *      ForgingMaterial = 323,    // 锻造材料 
    *   用于武器言灵锻造
    *      Hunqi = 324,              //魂器
    *      ElementTuPoMaterial = 325,//元素突破材料
    *      professionTuPoMaterial = 326,//职业突破材料
    *      YanLingAdvancedStone = 327,//言灵的突破石
    *      YanLingAdvancedMaterial = 328,//言灵的突破材料
    *      WuqiAdvancedStone = 329,      //武器的突破石
    *      WuqiAdvancedMaterial = 330,   //武器的突破材料
    *      Box = 331,                 // 活动道具 
    *   宝箱
    *      // 备注
    *      BattleItem_HP = 341,       // 战场道具 
    *   血瓶
    *      default(0) 
    */
    public $subType;

    /**
    * @var Int32 道具可叠加展示的数量上限, 0 代表不可叠加 default(0) 
    */
    public $pileNum;

    /**
    * @var Int32 是否可以从包裹中卖掉 default(0) 
    */
    public $canSell;

    /**
    * @var Int32 道具的回收(从包裹中卖掉)价格 default(0) 
    */
    public $sellPrice;

    /**
    * @var Int32 是否可以在包裹中使用 default(0) 
    */
    public $canUse;

    /**
    * @var Int32 一次可以使用的数量上限 default(0) 
    */
    public $maxUseNum;

    /**
    * @var Int32 品质/稀有度 default(1) 
    */
    public $quality;

    /**
    * @var String item的关卡途径  
    */
    public $channel;

    /**
    * @var Int32 竞拍初始价格不得低于此价格 default(0) 
    */
    public $auctionPrice;

    /**
    * @var String 一口价  
    */
    public $buyoutPrice;

    /**
    * @var Int32 是否可拍卖 default(0) 
    */
    public $canAuction;

}

