<?php

namespace loyalsoft;

/**
 * 错误码及错误描述字典
 * @author gwang
 */
class ErrCode {

    /**
     * 交互成功
     */
    const ok = 0;
    //
    // <editor-fold defaultstate="collapsed" desc="    基础错误码 10xx   ">

    /**
     * 未知原因错误
     */
    const err_unknownn = 1001;

    /**
     * 内部错误
     */
    const err_innerfault = 1002;

    /**
     * 数据库操作失败
     */
    const err_db = 1003;

    /**
     * 内存操作失败
     */
    const err_mem = 1004;

    /**
     * 断言失败
     */
    const err_assert = 1005;

    /**
     * 消息内容非法(不满足tk校验的条件)
     */
    const err_illegal = 1011;

    /**
     * 消息内容缺少校验值
     */
    const err_signo = 1012;

    /**
     * 消息超时
     */
    const err_outtime = 1021;

    /**
     * 客户端版本过低-整包更
     */
    const clientversionlow_err = 1031;

    /**
     * 客户端版本过低-增量更
     */
    const clientnewversion_msg = 1032;

    /**
     * 客户端打印信息并且退出
     */
    const clientPrintMsg_Halt = 1033;

    /**
     * 功能码非法
     */
    const ope_err = 1210;

    /**
     * 操作码非法
     */
    const cmd_err = 1211;

    /**
     * 参数非法
     */
    const paras_err = 1212;

    /**
     * 参数不足
     */
    const parasnotenough_msg = 1213;

    /**
     * 内容包含敏感词
     */
    const sensword_msg = 1234;

    /**
     * 服务器正在维护中
     */
    const err_server_maintaining = 1301;

    /**
     * 服务器正在升级，请过会儿再来。
     */
    const err_server_updating = 1302;

    /**
     * 已经在其他地方登录
     */
    const err_anotherlogin = 1303;

    /**
     * 功能暂未开放
     */
    const function_notopen_msg = 1801;

    /**
     * 方法尚未实现
     */
    const err_method_notimplement = 1802;

    /**
     * 方法已过时, 废弃的.
     */
    const err_method_obsoleted = 1803;

    /**
     * 游戏常量数据错误
     */
    const err_const_no = 1825;

    // </editor-fold>
    //
    //   // <editor-fold defaultstate="collapsed" desc="    商城/付费 88xx    ">

    /**
     * 尚未首付
     */
    const pay_firstpayno_err = 8801;

    /**
     * 已经领取首付
     */
    const pay_firstpaygetted = 8802;

    /**
     * 系统繁忙
     */
    const pay_systembusy_err = 8803;

    /**
     * 不是黄钻或已经领取黄钻礼包
     */
    const pay_vipnewerno = 8804;

    /**
     * amt数值小于等于0
     */
    const pay_m_amtzero_err = 8805;

    /**
     * 价格异常
     */
    const pay_price_err = 8806;

    /**
     *  支付类型异常
     */
    const pay_m_type_err = 8807;

    /**
     * 商品常量数据错误-货物内容
     */
    const pay_shopItem_cosnt_goods_err = 8808;

    /**
     * 商城 已达刷新次数上限
     */
    const pay_refresh_times = 8809;

    /**
     * 神秘商城 - 购买次数已达上限
     */
    const pay_secretshop_buytimes = 8810;

    /**
     * 神秘商城 - 物品数据错误
     */
    const pay_secretshop_noitem_err = 8811;

    /**
     * 充值 - 订单不存在
     */
    const pay_order_no = 8812;

    /**
     * 充值 - 付款状态不正确 正在重新查询...
     */
    const pay_order_paystatus = 8813;

    /**
     * 充值 - 此订单已经发货, 无需重复请求
     */
    const pay_order_drawed = 8814;

    /**
     * 充值 - 订单uid不符
     */
    const pay_order_uid = 8815;

    /**
     * 神秘商城 - 免费刷新时间未到
     */
    const pay_secretshopt_freeRefresh_Time = 8816;
    const pay_order_product_id = 8817;
    const pay_fail = 8818;

// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    not enough 系列    ">

    /**
     * 金币不足
     */
    const notenough_gold_msg = 3014;

    /**
     * 宝石不足
     */
    const notenough_cash_msg = 3015;

    /**
     * 友情点不足
     */
    const notenough_friendshippoint = 3016;

    /**
     * 玩家荣誉值不足[荣誉值兑换]
     */
    const notenough_honour = 3032;

    /**
     * 元宝不足
     */
    const notenought_yuanbao = 3040;

    /**
     * 玩家体力值不足
     */
    const notenough_tili = 3046;

    /**
     * 晶石不足
     */
    const notenough_spar = 3046;

    /**
     * 资源点不足
     */
    const notenough_resPoint = 3047;
// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    user 31xx    ">

    /**
     * 玩家未登录
     */
    const user_login_err = 3101;

    /**
     * 玩家不存在
     */
    const user_no_err = 3102;

    /**
     * 玩家数据损坏
     */
    const user_data_broken_err = 3103;

    /**
     * 连续登录天数不够
     */
    const user_contigiftno_msg = 3104;

    /**
     * 已经领取连续登录礼包
     */
    const user_contigiftfalse_msg = 3105;

    /**
     * 设置新手引导进度失败
     */
    const user_settutorialscompletedfail_err = 3106;

    /**
     * 玩家等级不足
     */
    const user_levelnotenough_msg = 3107;

    /**
     * 找不到玩家的交互体数据
     */
    const user_interact_no_err = 3108;

    /**
     * 找不到玩家的分区记录
     */
    const user_zoneinfo_no_err = 3109;

    /**
     * 玩家昵称已经存在,请换一个再试
     */
    const user_nicknameexist = 3110;

    /**
     * 没有这种奖励类型
     */
    const user_reward_typeno = 3031;

// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    英雄错误码 33xx    ">

    /**
     * 玩家没有这个英雄
     */
    const hero_no = 3301;

    /**
     * 找不到英雄升级消耗数据
     */
    const hero_level_const_no_err = 3302;

    /**
     * 英雄碎片不足
     */
    const hero_segment_not_enough = 3303;

    /**
     * 缺少英雄的常量数据
     */
    const hero_const_no_err = 3304;

    /**
     * 英雄强化--已经达到最大等阶
     */
    const hero_strength_maxstrengthlevel = 3305;

    /**
     * 英雄升级--已经达到当前最大等级
     */
    const hero_upgrade_maxupgradelevel = 3306;

    /**
     * 英雄升级--消耗的数据错误（道具或者卡牌不存在）
     */
    const hero_upgrade_cost = 3307;

    /**
     * 英雄升星--已经达到最大星级
     */
    const hero_star_maxstarlevel = 3308;

    /**
     * 英雄升星--消耗英雄参数错误
     */
    const hero_star_costhero = 3309;

    /**
     * 英雄升星--消耗道具数量不充足
     */
    const hero_star_notengoughitem = 3310;

    /**
     * 英雄升星--升星消耗的常量数据不存在
     */
    const hero_star_level_const_no_err = 3311;

    /**
     * 英雄升星--全局变量缺失该英雄属性对应的升星消耗道具信息
     */
    const hero_star_noglobal_costitem = 3312;

    /**
     * 英雄升星--消耗道具与消耗道具数量的常量配置不匹配
     */
    const hero_star_conststr_itemnotmathnum = 3313;

    /**
     * 英雄好感度---缺少对应好感度的消耗设置的常量数据
     */
    const hero_favor_cost_const_no = 3314;

    /**
     * 英雄好感度---解锁目标好感度参数错误
     */
    const hero_favor_targetfavor_para = 3315;

    /**
     * 英雄分解---传递消耗英雄参数错误
     */
    const hero_separate_cost_hero = 3316;

    /**
     * 英雄升阶---缺少对应等阶的消耗设置的常量数据
     */
    const hero_strength_cost_const_no = 3317;

    /**
     * 英雄技能__当前技能等级已经达到上限
     */
    const hero_upgradeSkill_maxLevel = 3318;

    /**
     * 英雄技能__该技能升级的消耗常量配置不存在
     */
    const hero_upgradeSkill_cost_const_no = 3319;

    /**
     * 英雄打分 -- 已经给次英雄打过分了
     */
    const hero_scoreit_hasscored = 3320;

    /**
     * 英雄升级——消耗的常量配置不存在
     */
    const hero_upgrade_cost_const_no = 3321;

    /**
     * 玩家已经存在一个此类的英雄
     */
    const hero_existSameHero_err = 3322;

    /**
     * 玩家神血的消耗常量数据不存在
     */
    const hero_godblood_level_const_no = 3323;

    /**
     * 玩家神血的血脉达到定级
     */
    const hero_godblood_maxlevel = 3324;

    /**
     * 玩家神血 强化，消耗道具不足
     */
    const hero_godblood_notengoughitem = 3325;

    /**
     * 玩家已经解锁
     */
    const hero_lockState = 3326;

    /**
     * 言灵已达到可装备的最大数量
     */
    const hero_yanling_full = 3327;

    /**
     * 英雄身上找不到这个言灵
     */
    const hero_yanling_notfound = 3328;

    /**
     * 言灵等级配置缺失 
     */
    const hero_yanling_levelconst_no = 3329;

    /**
     * 言灵等级已达上限
     */
    const hero_yanling_levelMax = 3330;

    /**
     * 重复言灵
     */
    const hero_yanling_repeat = 3331;

    /**
     * 言灵星级达到最大值
     */
    const hero_yanling_starMax = 3332;

    /**
     * 错误的言灵
     */
    const hero_yanling_errorYanling = 3333;

    /**
     * 不能突破
     */
    const hero_yanling_canotTupo = 3334;
//
// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    仓库/背包 34xx    ">

    /**
     * 该目标不能放入仓库
     */
    const store_putinto = 3401;

    /**
     * 仓库没有这个道具
     */
    const store_itemno_err = 3402;

    /**
     * 道具不可使用
     */
    const store_itemcantuse = 3404;

    /**
     * 道具数量不足
     */
    const store_itemnotenough = 3405;

    /**
     * 移除道具失败!
     */
    const store_removefail = 3407;

    /**
     * 道具不能分解
     */
    const store_itemcantdecompose = 3408;

    /**
     * 装备已经在别的英雄身上装备
     */
    const store_equipWeared_err = 3409;

    /**
     * 装备没有在此英雄身上装备
     */
    const store_noequip_err = 3410;

    /**
     * 未知装备类型
     */
    const store_equip_type = 3411;

    /**
     * 言灵召唤书常量数据有误
     */
    const store_book_info = 3412;

    /**
     * 言灵进阶数据有问题
     */
    const store_yanlingGrade_cfg = 3413;

    /**
     * 言灵已经进阶至最高
     */
    const store_yanlingGrade_max = 3414;

    /**
     * 言灵包裹已满
     */
    const store_yanling_bagfull = 3415;

    /**
     * 没有该武器
     */
    const store_weapon_err = 3416;

    /**
     * 
     */
    const store_GemResearchLvUp_UserLevelLimit = 3417;

    /**
     * 
     */
    const store_GemComplose_ResearchLevelLimit = 3418;

    /**
     * 
     */
    const store_GemComploseTuZhiNotEnough = 3419;
    const store_GemComploseMaterialNotEnough = 3420;
    const store_ComploseGemNotEnough = 3421;

    /**
     * 言灵身上没有宝石
     */
    const store_YanLingNotGem = 3422;
    const store_YanLingHaveGem = 3423;
    
    const store_weaponCantBuy = 3424;
    
    const store_expandStorage = 3425;
    
    const store_NotHaveStorage = 3426;
    
    const store_StorageEnough= 3427;
    
    /*
     * 
     */
    const store_bettleitemNumNotEnough= 3427;
    
    /*
     * 言灵升级不能使用自己
     */
    const store_notRemoveYanlingSelf= 3428;
    
    /*
     * 没有该言灵
     */
    const store_NotHaveYanling = 3429;
// </editor-fold>
    //  
    // <editor-fold defaultstate="collapsed" desc="   任务错误码 35xx系列   ">

    /**
     * 找不到任务数据
     */
    const task_no = 3501;

    /**
     * 任务进度尚未完成
     */
    const task_progress_not_complete = 3502;

    /**
     * 任务奖励已经领取
     */
    const task_reward_geted = 3503;

    /**
     * 日常任务活跃点数不足
     */
    const task_activePoint_notenough = 3504;

    /**
     * 任务卡未找到
     */
    const taskCard_no = 3510;

    /**
     * 任务卡-不可堆叠
     */
    const taskCard_no_pile = 3511;

    /**
     * 任务卡-状态错误
     */
    const taskCard_state = 3512;

    /**
     * 任务卡-不可激活多张同种类任务卡
     */
    const taskCard_active_multi = 3513;

    /**
     * 任务卡-同时激活数量达到上限(9)
     */
    const taskCard_active_max = 3514;

    /**
     * 任务卡-此卡已售罄
     */
    const taskCard_selled = 3515;

    /**
     * 任务卡-收集的道具数量尚未满足条件
     */
    const taskCard_gainItem_no = 3516;

// </editor-fold>
    // 
    // <editor-fold defaultstate="collapsed" desc="    交互操作 36xx    ">
    //
    // </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    好友 37xx    ">

    /**
     * 不存在该好友
     */
    const friend_no_err = 3701;

    /**
     * 不存在好友的平台信息
     */
    const friend_noplat_err = 3702;

    /**
     * 已经领取该好友礼物
     */
    const friend_gift = 3703;

    /**
     * 已到达当天领取好友礼物上限
     */
    const friend_maxgift = 3704;

    /**
     * 获取不到好友礼物几率常量数据
     */
    const friend_giftrent_const_no_err = 3705;
    // </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="   任务 38xx    ">

    /**
     * 不存在该任务
     */
    const goal_const_no_err = 3801;

    /**
     * 未找到该任务信息
     */
    const goal_nogoaldata_err = 3802;

    /**
     * 任务尚未完成
     */
    const goal_notcomplete = 3803;

    /**
     * 任务奖励已领取
     */
    const goal_rewarded = 3804;
    // </editor-fold>
    //  
    // <editor-fold defaultstate="collapsed" desc="    活动 39xx    ">

    /**
     * 不存在该活动礼包
     */
    const active_const_no_err = 3901;

    /**
     * 活动领取非法
     */
    const active_illegal = 3902;

    /**
     * 礼包已领取
     */
    const active_hasgetted = 3903;

    /**
     * 在线礼包常量数据不存在
     */
    const onlinegift_constno_err = 3904;

    /**
     * 在线礼包时间未到
     */
    const onlinegift_timenotenough = 3905;

    /**
     * 在线礼包id错误
     */
    const onlinegift_wrongid = 3906;

    /**
     * 免费抽奖类型不存在
     */
    const lottery_typenotexist = 3907;

    /**
     * 剩余免费抽奖次数不够了
     */
    const lottery_freenotenough = 3908;

    /**
     * 连续签到常量数据不存在
     */
    const checkin_const_no = 3909;

    /**
     * 连续签到活动已过期
     */
    const checkin_outofday = 3910;

    /**
     * 连续签到奖励已领取
     */
    const checkin_giftgetted = 3911;

    /**
     * 连续签到奖励礼包id不存在
     */
    const checkin_giftidno = 3912;

    /**
     * 连续签到天数不够.
     */
    const chekin_daysnotenough = 3913;

    /**
     * 完成新手引导的大礼包找不到常量数据。
     */
    const Guide_completeGiftNo = 3914;

    /**
     * 不存在的抽奖次数
     */
    const lottery_notexistLotterCount = 3915;

    /**
     * 不存在的抽奖消耗财富类型
     */
    const lottery_notexistLotterCostType = 3916;

    /**
     * 未能生成中奖物品
     */
    const lottery_noselecteditem = 3917;

    /**
     * 已经留下回归密码了
     */
    const active_returncode_leaved = 3921;

    /**
     * 密码格式不合法
     */
    const active_returncode_illegal = 3922;

    /**
     * 新手七天礼包,想要领取的礼包索引有误
     */
    const active_new7_wrongindex = 3923;

    /**
     * 活动 - 激活码 渠道错误.
     */
    const active_activecode_plat = 3924;

    /**
     * 活动 - 激活码 无效
     */
    const active_activecode_format = 3925;

    /**
     * 没有充值返利常量数据
     * * */
    const active_rechargereward_const_no = 3926;

    /**
     * 充值返利活动未开启
     * * */
    const active_rechargereward_notopen = 3927;

    /**
     * 充值返利，领取奖励，充值金额不足
     * * */
    const active_rechargereward_notenough = 3928;

    /**
     * 充值返利，领取奖励，当前开启的活动key与mem中存储的key不一致
     * * */
    const active_rechargereward_keynotsuit = 3929;

    /**
     * 充值返利，您已经领取过此奖励
     * * */
    const active_rechargereward_hasgetted = 3930;

    /**
     * 玩家充值返利数据错误
     * * */
    const active_rechargereward_userinfoerr = 3931;

    /**
     * 回归奖励已经领取
     */
    const active_returnreward_drawed = 3932;

    /**
     * 回归奖励验证失败
     */
    const active_returnreward_VerifyFailed = 3933;

    /**
     * 回归奖励验证的时候通讯失败,请稍后再试
     */
    const active_returnreward_VerifyConnectionFailed = 3934;

    /**
     * 回归奖励,这组回归密码已经被使用过啦.
     */
    const active_returnreward_codeused = 3935;

    /**
     * 预约礼包活动已经结束
     */
    const active_reserve_reward_outtime = 3936;

    /**
     * 激活码礼包已经过期
     */
    const active_activecode_outtime = 3937;

    /**
     * 开服七日活动 - 任务状态异常
     */
    const active_day7_taskstate_err = 3938;

    /**
     * 开服七日活动 - 找不到常量数据
     */
    const active_day7_const_no_err = 3939;

    /**
     * 开服七日活动 - 总天数不足
     */
    const active_day7_totaldays = 3940;

    /**
     * 开服七日活动 - 找不到任务
     */
    const active_day7_taskno_err = 3941;

    /**
     * 抽奖 - 保底奖励, 次数不满足
     */
    const lottery_baodi_times_lt = 3942;

    /**
     * 抽奖 - 卡槽尚未解锁
     */
    const err_lottery_slot_locked = 3943;

    /**
     * 抽奖 - 卡槽使用中
     */
    const err_lottery_slot_not_emputy = 3944;

    /**
     * 抽奖 - 搜索尚未结束
     */
    const err_lottery_slot_time = 3945;

    /**
     * 抽奖 - 卡槽数据异常
     */
    const err_lottery_slot_emputy = 3946;

    /**
     * 抽奖 - 卡槽已经解锁
     */
    const err_lottery_slot_unlocked = 3947;

    /**
     * 抽奖 - 达到每次次数限制
     */
    const err_lottery_daily_limit = 3948;

    /**
     * 宝箱 - 数量不足
     */
    const box_not_enough = 3950;

    /**
     * 活动 - 此活动尚未开放
     */
    const active_time = 3951;

    /**
     * 活动 - 兑换码已经使用过了
     */
    const active_activecode_used = 3952;

    /**
     * 活动不存在
     */
    const active_activeNoExistent = 3953;

    /**
     * 抽奖次数已经达到上限
     */
    const active_NewUserActiveNumLimit = 3954;
    // </editor-fold>
    //  
    // <editor-fold defaultstate="collapsed" desc="    战斗错误码 40xx ">

    /**
     * 关卡挑战 - 掉落奖励与后台不匹配
     */
    const err_arenas_rewardIllegal = 4003;

    /**
     * 关卡挑战 - 难度参数错误
     */
    const err_arenas_difficulty = 4004;

    /**
     * 关卡挑战记录非法
     */
    const err_arenas_logillegal = 4005;

    /**
     * 错误的关卡索引
     */
    const err_arenasgate_indexillegal = 4006;

    /**
     * 关卡挑战体力值不足，无法战斗
     */
    const err_arenasgate_nocount = 4007;

    /**
     * 战场解锁星数不足，无法扫荡该关卡
     */
    const err_arenas_unlockstarnotenough = 4008;

    /**
     * 关卡的挑战次数已达上限
     */
    const err_arenas_normalgate_numno = 4009;

    /**
     * 错误的扫荡次数
     */
    const err_arenasgate_errSweepCount = 4010;

    /**
     * 关卡星星奖励的常量数据不存在！
     */
    const err_arenas_starreward_const_no = 4011;

    /**
     * 关卡星星奖励--奖励已经领取
     */
    const err_arenas_hasgetstarreward = 4012;

    /**
     * 关卡星星奖励--星星数量不足无法领取奖励
     */
    const err_arenas_starreward_starNotEnough = 4013;

    /**
     * 无尽关卡模式——常量数据丢失
     */
    const err_gateForever_const_no = 4014;

    /**
     * 无尽关卡模式—挑战次数已达上限
     */
    const err_gateForever_countIsFull = 4015;

    /**
     * 无尽关卡模式—挑战次数非法
     */
    const err_gateForever_countillegal = 4016;

    /**
     * 副本开启中
     */
    const carbon_opened = 4017;

    /**
     * 副本未开启
     */
    const carbon_closed = 4018;

    /**
     * 副本挑战的关卡索引错误
     */
    const carbon_gateIndex = 4019;

    /**
     * 副本-难度等级错误
     */
    const carbon_wrongdifficult = 4020;

    /**
     * 竞技场 - 指定的pvp对手不存在
     */
    const pvp_wrongMather = 4021;

    /**
     * 竞技场 - 刷新过于频繁
     */
    const pvp_refresh_time = 4022;

    /**
     * 竞技场 - 错误的体力充值数量
     */
    const pvp_tili_chargenum = 4023;

    /**
     * 竞技场 - 挑战票不足.
     */
    const pvp_no_tickets = 4024;

    /**
     * 竞技场 - 刷新对手花费数据对不上.
     */
    const pvp_refresh_cost_ilegal = 4030;

    /**
     * 竞技场 - 刷新对手已达次数上限
     */
    const pvp_refresh_max = 4029;

    /**
     * 竞技场 - 挑战票购买, 跟预期的值对不上
     */
    const pvp_ticket_cost_ilegal = 4028;

    /**
     * 竞技场 - 道具已售罄
     */
    const pvp_item_soldout = 4027;

    /**
     * 竞技场 - 活跃值不够
     */
    const pvp_coinnotenough = 4026;

    /**
     * 剧情关卡 - 剧情关卡不能重复挑战,只能挑战一次
     */
    const story_repeatfight = 4025;

    /**
     * 剧情关卡 - 星数奖励领取条件不够
     */
    const err_arenas_starrwd_star = 4031;
// </editor-fold>
    // 
    // <editor-fold defaultstate="collapsed" desc="    排行榜错误码  41xx    ">

    /**
     * 排行榜 - 战斗力解锁条件尚未达成
     */
    const rank_fpower_unlocked = 4101;

    /**
     * 排行榜 - 奖励已经领取了
     */
    const rank_reward_hasgetted = 4102;

    /**
     * 排行榜 - 通关帮奖励解锁条件尚未达成
     */
    const rank_passsgate_unlocked = 4103;
// </editor-fold>
    // 
    // <editor-fold defaultstate="collapsed" desc="    邮件错误码 42xx   ">

    /**
     * 邮件 - 错误的邮件id
     */
    const email_wrongid = 4201;

    /**
     * 邮件 - 未找到指定邮件
     */
    const email_not_found = 4202;

    /**
     * 邮件 - 不存在附件
     */
    const email_no_appendix = 4203;

    /**
     * 邮件 - 附件已领取
     */
    const email_appendix_drawed = 4204;

// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="战斗错误码">
    // 

    /**
     * 无尽塔 - 错误的关卡索引
     */
    const Fight_endlessTower_index = 4341;
    // 
    // </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    拍卖 47xx    ">

    /**
     * 拍卖物品的常量数据不存在
     */
    const auction_const_no = 4701;

    /**
     * 当天拍卖物品的数据不存在
     */
    const auction_curdaynotexist = 4702;

    /**
     * 竞价的时候超过时间限制
     */
    const auction_timeout = 4703;

    /**
     * 拍卖一件不在拍品列表中的物品
     */
    const auction_noexistautionItem = 4704;

    /**
     * 拍卖一件不在拍品列表中的物品
     */
    const auction_pricelowthancurprice = 4705;

    /**
     * 拍品尚未开始拍卖
     */
    const auction_beforstart = 4706;

    /**
     * 拍品已经结束拍卖
     */
    const auction_end = 4707;

    /**
     * 出价低于当前价
     */
    const auction_failprice = 4708;
    
    /**
     * 上传拍品价格太低
     */
    const auction_loadpricelow = 4709;


// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="公会错误码 - 48xx开始">

    /**
     * 玩家等级不足
     */
    const err_guild_userlevel = 4800;

    /**
     * 您已经属于一个公会成员了.
     */
    const err_guild_userhasbeenaguildmember = 4801;

    /**
     * 解散公会后的24小时冷却时间尚未过去.
     */
    const err_guild_dissmisscodingtime = 4802;

    /**
     * 同名公会已存在
     */
    const err_guild_nameexists = 4803;

    /**
     *  创建公会时所传公会名称参数为空.
     */
    const err_guild_nameEmputy = 4804;

    /**
     * 金币不足
     */
    const err_msg_goldnotenough = 4805;

    /**
     * 找不到公会数据
     */
    const err_guild_guildinfono = 4806;

    /**
     * 成员已满
     */
    const err_guild_memberfull = 4807;

    /**
     *  申请队列已满
     */
    const err_guild_applyListFull = 4808;

    /**
     * 公会未开启一键加入功能
     */
    const err_guild_quickinclosed = 4809;

    /**
     * 玩家不属于此公会
     */
    const err_guild_usernotguildmember = 4810;

    /**
     * 找不到玩家的公会信息
     */
    const err_guild_userguildinfono = 4811;

    /**
     * 玩家不是该公会的会长或是干部
     */
    const err_guild_usernotchairman = 4812;

    /**
     * 解散工会的时候, 公会不为空
     */
    const err_guild_notEmputy = 4813;

    /**
     * 会长不能开除自己.
     */
    const err_guild_cannotfireyourself = 4814;

    /**
     * 申请信息未找到
     */
    const err_guild_appmsgnotfount = 4815;

    /**
     * 申请信息已经处理过了
     */
    const err_guild_applymsgdealed = 4816;

    /**
     * 玩家不存在
     */
    const err_user_no = 4817;

    /**
     * 无权限
     */
    const err_guild_nopermission = 4818;

    /**
     * 副会长名额已满
     */
    const err_guild_viceChairmanFull = 4819;

//    /**
//     * 操作码非法
//     */
//    const err_msg_cmd = 4820;

    /**
     * 徽章不能为null
     */
    const err_guild_imgEmputy = 4821;

    /**
     * 不能删除会长
     */
    const err_guild_cannotfireychairman = 4822;

    /**
     * 下一任会长必须是本公会的会员
     */
    // const err_guild_lastchairmanidnoexist = 4823;

    /**
     * 玩家已经是该职位
     */
    const err_guild_positionconflict = 4824;

    /**
     * 干部名额已满
     */
    const err_guild_OfficermanFull = 4825;

    /**
     * 没有限权设置此职位
     */
    const err_guild_cannotsetpositioncon = 4826;

    /**
     * 申请信息已经存在请稍候在申请
     */
    const err_guild_applymsgalwaysexist = 4827;

    /**
     * 申请信息被拒接
     */
    const err_guild_applymsgrejected = 4828;

    /**
     * 会长登陆时间信息发生改变无法弹劾，请刷新数据
     */
    const err_guild_notsatisfiedaccusecondition = 4829;

    /**
     * 不在弹劾有效时间内
     */
    const err_guild_noaccusevalidtimeperiod = 4830;

    /**
     * 弹劾 冷却中请稍候在弹劾
     */
    const err_guild_accusecooling = 4831;

    /**
     * 不允许申请加入该公会
     */
    const err_guild_noallowaddguild = 4832;

    /**
     * 会长没有被弹劾
     */
    const err_guild_chairmannoaccused = 4833;

    /**
     * 不允许反复弹劾
     */
    const err_guild_noallowagainaccuse = 4834;

    /**
     * 请求捐献数据不能为null
     */
    const err_guild_requestdonatecannotnull = 4835;

    /**
     * 请求捐献 时间不到
     */
    const err_guild_lessthannextrequestdonate = 4836;

    /**
     * 没有卡牌常量数据
     */
    const err_guild_nosegmentconst = 4837; //这个暂时用着，卡牌那应该有这个错误码

    /**
     * 不能请求该类型的卡牌
     */
    const err_guild_thiscardcannotrequestordonate = 4838; //这个暂时用着，卡牌那应该有这个错误码

    /**
     * 请求卡牌数量过多
     */
    const err_guild_requestcardnumtomuch = 4839; //这个暂时用着，卡牌那应该有这个错误码

    /**
     * 玩家没有足够的卡牌可以捐献
     */
    const err_guild_noenoughcardinfo = 4840; //这个暂时用着，卡牌那应该有这个错误码

    /**
     * 卡牌类型不一致
     */
    const err_guild_cardtypeinconformity = 4841;

    /**
     * 今天捐献卡牌数量已经达到最大值
     */
    const err_guild_donatecardnumreachlimit = 4842;

    /**
     * 已经超过捐献时间无法捐献
     */
    const err_guild_overdonatetime = 4843;

    /**
     * 玩家背包中没有该类型的碎片
     */
    const err_guild_usersegementnothechip = 4844;

    /**
     * 英雄合成碎片与参数id不一致
     */
    const err_guild_herochiptypeinconformity = 4846;

    /**
     * 不存在该英雄
     */
    const err_guild_nohero = 4847;

    /**
     * 该贡献度礼包没有开放
     */
    const err_guild_contributionGiftnoopen = 4848;

    /**
     * 该公会钻石礼包没有开放
     */
    const err_guild_cashGiftnoopen = 4849;

    /**
     * 贡献度不够
     */
    const err_guild_contributionnosatisfy = 4850;

    /**
     * 缺少礼包常量数据
     */
    const err_guild_noguildgiftconst = 4851;

    /**
     * 公会消息没有该卡牌的信息
     */
    const err_guild_guildjournalnothechipinfo = 4852;

    /**
     * 公会邮件内容不能为null
     */
    const err_guild_mailcontentcannotbenull = 4853;

    /**
     * 公会公告编辑冷却时间中
     */
    const err_guild_AnnouncementEditCooling = 4854;

    /**
     * 公会战 已经存在邀请数据，不能再次邀请
     */
    const err_guild_fightInvitealreadyexisted = 4855;

    /**
     * 公会战 邀请信息不存在
     */
    const err_guild_fightInvitenoexisted = 4856;

    /**
     * 公会战 在战斗中
     */
    const err_guild_fighting = 4857;

    /**
     * 公会战 在战斗中
     */
    const err_guild_applyconditionnoenough = 4858;

// </editor-fold>
    // 
    // <editor-fold defaultstate="collapsed" desc="   商城错误码 49xx">

    /**
     * 限购礼包-购买数量已达上限
     */
    const shop_limit_max = 4901;

    /**
     * 月卡已购买,失效前不可再次购买
     */
    const shop_monthlyvip_buyed = 4902;

    /**
     * 
     */
    const shop_daliySpecialRewardNotRepeat = 4903;
    const shop_firstRechargeNotRepeat = 4904;

    /**
     * 充值返利奖励不能重复领取
     */
    const shop_RechargeRebateRewardNotRepeat = 4905;

    /**
     * 不足
     */
    const shop_RechargeRebateRmbNotEnough = 4906;

    /*
     * 不是免费领取的礼包
     */
    const shop_limit_NotFree = 4907;
// </editor-fold>
    // <editor-fold defaultstate="collapsed" desc="   学院错误码 51xx">

    /**
     * 不存在该任务卡
     */
    const college_notExistTaskCard = 5101;

    /**
     * 任务卡状态错误
     */
    const college_TaskCardStateError = 5202;

    /**
     * 一个年级下的课程数量错误
     */
    const college_courseNumError = 5203;

    /**
     * 一个课程下的任务卡数量错误
     */
    const college_taskCardNumError = 5204;

    /**
     * 
     */
    const college_taskScoreRewardRepeatReceive = 5205;
    const college_CourseRewardRepeatReceive = 5206;

    /**
     * 没有解锁
     */
    const college_CourseNotUnlocked = 5207;

// </editor-fold>
// 
// <editor-fold defaultstate="collapsed" desc="地图错误码52xx">
// 

    /**
     * 地图-目的地据点尚未解锁
     */
    const map_NotUnlocked = 5201;

    /**
     * 地图-目的地据点已经解锁
     */
    const map_Unlocked = 5202;
    
    
    const map_NotChuanSongZhen = 5203;

// </editor-fold>
    //
    // <editor-fold defaultstate="collapsed" desc="    反射方法    ">

    /**
     * 辅助方法, 将所有错误码信息转换到CSV文本中.
     * 用法: 先在本文件中用ctrl + H 全部替换掉 'c onst ' -> 's tatic $'
     *       然后再调用本方法,即可在同目录下生成ErrCode.txt, 里面包含了所需信息.
     * @throws \Exception
     * @author gwang
     */
    static function L() {
        $class = new \ReflectionClass(__CLASS__);                               # 建立这个类的反射对象
        $properties = $class->getProperties(\ReflectionProperty::IS_STATIC);     # 拉取所有静态属性
        $fileName = __DIR__ . "/ErrCode.txt";                                   # 输出文件名
        $fd = fopen($fileName, "w");
        if (false === $fd) {                                                    # 打开文件失败
            throw new \Exception("打开$fileName 失败");
        }
        foreach ($properties as &$p) {
            $d = preg_replace('/[\*|\/|\s+]/', '', $p->getDocComment());        # 处理下注释
            $type = (strpos($p->getName(), 'err') === false ? 0 : 1);           # errorType: 0 继续, 1 重启
            $n = fputs($fd, $p->getName() . ";" . $p->getValue() . ";$type;$d" . PHP_EOL);  # 写入文件
            if (false === $n) {                                                 # 写入时失败
                throw new Exception("写入$fileName 时失败");
            }
        }
        fclose($fd);
    }

// </editor-fold>
}

//ErrCode::L();
