<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2022-05-24 15:58:58
////////////////////


/**
 * Static Model hero 英雄模块
 */
class sm_hero
{

    /**
    * @var Int32 用途未知！！请到数据库中添加字段注释。  
    */
    public $heroId;

    /**
    * @var String 英雄名称  
    */
    public $name;

    /**
    * @var String 技能特效id 方便查看  
    */
    public $skill;

    /**
    * @var Int32 0=小怪 1=英雄   1：意味着战斗中使用公共power default(1) 
    */
    public $roletype;

    /**
    * @var String 英雄/怪物图标  
    */
    public $icon;

    /**
    * @var String 人物描述  
    */
    public $desc;

    /**
    * @var String boss擅长描述  
    */
    public $proficientDesc;

    /**
    * @var Int32 图鉴分类 default(1) 
    */
    public $tujianId;

    /**
    * @var String 龙骨动画  
    */
    public $dragonBoneMod;

    /**
    * @var String 模型资源  
    */
    public $prefabRes;

    /**
    * @var Int32 珍惜程度（越大越珍惜） default(1) 
    */
    public $zhenxidu;

    /**
    * @var Int32 英雄排序 default(1) 
    */
    public $order;

    /**
    * @var Int32 是否对玩家开放，可以拥有（0不开，1 可以拥有） default(0) 
    */
    public $isOpenForPlayer;

    /**
    * @var Int32 是否可购买 1可以买 0 不开放购买 default(0) 
    */
    public $isCanBuy;

    /**
    * @var Int32 钻石定价 default(99999) 
    */
    public $cashPrice;

    /**
    * @var Int32 金币购买价格 default(9999999) 
    */
    public $goldPrice;

    /**
    * @var Int32 英雄解锁的条件限制ID default(1) 
    */
    public $unlockConditionId;

    /**
    * @var String 元素类型//0 空的//1 金 //2 冰 //3 火 //4 风 //5 雷 //6 毒 //7 黑暗 //8 亡灵 // 9 物理  
    */
    public $element;

    /**
    * @var String 职业类型  
    */
    public $zhiye;

    /**
    * @var Int32 默认的等阶 default(0) 
    */
    public $dengjie;

    /**
    * @var Int32 默认的星级 default(0) 
    */
    public $xingji;

    /**
    * @var Int32 基础血量 default(0) 
    */
    public $hp;

    /**
    * @var Int32 每段血量值 （主要是boss) default(0) 
    */
    public $hp_len;

    /**
    * @var Int32 能量值(言能) default(0) 
    */
    public $nengliangzhi;

    /**
    * @var Int32 物理攻击(基础物攻) default(0) 
    */
    public $wuligongji;

    /**
    * @var Int32 防御护甲(基础护甲) default(0) 
    */
    public $fangyuhujia;

    /**
    * @var Single 【废弃2019年12月4日】攻击速度  
    */
    public $gongjisudu;

    /**
    * @var Int32 法术强度(基础言攻) default(0) 
    */
    public $fashuqiangdu;

    /**
    * @var Int32 魔法抗性(基础言抗) default(0) 
    */
    public $mofakangxing;

    /**
    * @var String 1近战2远程  
    */
    public $atkType;

    /**
    * @var Single 【2019年12月17日】攻击范围 default(0) 
    */
    public $atkRange;

    /**
    * @var Single 【2019年12月17日】警戒范围 default(0) 
    */
    public $alarmRange;

    /**
    * @var Single 【2019年12月17日】攻击速度 default(0) 
    */
    public $atkSpeed;

    /**
    * @var Single 【2019年12月17日】移动速度 default(0) 
    */
    public $moveSpeed;

    /**
    * @var Int32 暴击(基础暴击) default(0) 
    */
    public $baoji;

    /**
    * @var Int32 释放技能需要的能量值（1000==1000毫秒） default(2000) 
    */
    public $npower;

    /**
    * @var Int32 每回合自身能量恢复速度 default(15) 
    */
    public $rpower;

    /**
    * @var String 【废弃2019年12月4日】 default(0) 
    */
    public $hp1;

    /**
    * @var String 【废弃2019年12月4日】  
    */
    public $nengliangzhi1;

    /**
    * @var String 【废弃2019年12月4日】物理攻击成长 default(0) 
    */
    public $wuligongji1;

    /**
    * @var String 【废弃2019年12月4日】防御护甲成长 default(0) 
    */
    public $fangyuhujia1;

    /**
    * @var String 【废弃2019年12月4日】法术强度成长  
    */
    public $fashuqiangdu1;

    /**
    * @var String 【废弃2019年12月4日】魔法抗性成长  
    */
    public $mofakangxing1;

    /**
    * @var String 【废弃2019年12月4日】攻击速度  
    */
    public $gongjisudu1;

    /**
    * @var String 【废弃2019年12月4日】暴击  
    */
    public $baoji1;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $normalSkill;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $manuSkill1;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $manuSkill2;

    /**
    * @var String 被动技能  
    */
    public $passiveSkill;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $leaderSkill;

    /**
    * @var String 【新】普攻(2020.10.21 改为逗号分隔的技能列表)  
    */
    public $skill_normal;

    /**
    * @var String 【新】必杀  
    */
    public $skill_bisha;

    /**
    * @var String 【新】闪避  
    */
    public $skill_shanbi;

    /**
    * @var String 【新】冲刺  
    */
    public $skill_chongci;

    /**
    * @var String 【新】极限闪避  
    */
    public $skill_jixianshanbi;

    /**
    * @var String 【新】队长技  
    */
    public $skill_leader;

    /**
    * @var String 【新】被动技  
    */
    public $skill_beidong;

    /**
    * @var String （界面 展示）音效  
    */
    public $normalSound;

    /**
    * @var String 技能释放（有用 ）  
    */
    public $skillSound;

    /**
    * @var String 用途未知！！请到数据库中添加字段注释。  
    */
    public $beattackSound;

    /**
    * @var Int32 关联掉落表唯一id  
    */
    public $dropId;

    /**
    * @var String 人工智能行为树  
    */
    public $ai_btree;

    /**
    * @var Int32 弱体 金 default(0) 
    */
    public $weak_gold;

    /**
    * @var Int32 弱体 冰 default(0) 
    */
    public $weak_ice;

    /**
    * @var Int32 弱体 火 default(0) 
    */
    public $weak_fire;

    /**
    * @var Int32 弱体 风 default(0) 
    */
    public $weak_wind;

    /**
    * @var Int32 弱体 雷 default(0) 
    */
    public $weak_thunder;

    /**
    * @var Int32 弱体 毒  
    */
    public $weak_drug;

    /**
    * @var Int32 弱体 黑暗 default(0) 
    */
    public $weak_dark;

    /**
    * @var Int32 弱体 亡灵 default(0) 
    */
    public $weak_ghost;

    /**
    * @var Int32 弱体 物理 default(0) 
    */
    public $weak_phy;

    /**
    * @var Int32 用途未知！！请到数据库中添加字段注释。 default(0) 
    */
    public $exp;

}

